Index: /main/trunk/gli/src/org/greenstone/gatherer/cdm/Format4gs3Manager.java
===================================================================
--- /main/trunk/gli/src/org/greenstone/gatherer/cdm/Format4gs3Manager.java	(revision 25695)
+++ /main/trunk/gli/src/org/greenstone/gatherer/cdm/Format4gs3Manager.java	(revision 25696)
@@ -63,10 +63,107 @@
 public class Format4gs3Manager implements SharedByTwoFormatManager
 {
-
-	static final private String SEARCH_FORMAT = "<gsf:template match=\"documentNode\"><td valign=\"top\"><gsf:link type=\"document\"><gsf:icon type=\"document\"/></gsf:link></td><td><gsf:switch><gsf:metadata name=\"Title\" select=\"ancestors\" separator=\": \"/><gsf:when test=\"exists\"><gsf:metadata name=\"Title\" select=\"ancestors\" separator=\": \"/>:</gsf:when></gsf:switch><gsf:link type=\"document\"><gsf:metadata name=\"Title\"/></gsf:link></td></gsf:template>";
+	//The default search format
+	static final private String SEARCH_FORMAT;
+	static
+	{
+		// @formatter:off
+		String SEARCH_FORMAT_TEMP = "" +
+		"<gsf:template match=\"documentNode\">" +
+			"<td valign=\"top\">" +
+				"<gsf:link type=\"document\">" +
+					"<gsf:icon type=\"document\"/>" +
+				"</gsf:link>" +
+			"</td>" +
+			"<td>" +
+				"<gsf:link type=\"document\">" +
+					"<gsf:choose-metadata>" +
+						"<gsf:metadata name=\"dc.Title\"/>" +
+						"<gsf:metadata name=\"exp.Title\"/>" +
+						"<gsf:metadata name=\"ex.dc.Title\"/>" +
+						"<gsf:metadata name=\"Title\"/>" +
+						"<gsf:default>Untitled</gsf:default>" +
+					"</gsf:choose-metadata>" +
+				"</gsf:link>" +
+			"</td>" +
+		"</gsf:template>";
+		SEARCH_FORMAT = SEARCH_FORMAT_TEMP;
+		// @formatter:on
+	}
 	static final private String SEARCH = "search";
-	static final private String DISPLAY_FORMAT = "<gsf:template match=\"documentcontent\"></gsf:template><gsf:option name=\"TOC\" value=\"true\"/>";
+	static final private String DISPLAY_FORMAT = "<gsf:option name=\"TOC\" value=\"true\"/>";
 	static final private String DISPLAY = "display";
-	static final private String CLASSIFIER_DEFAULT_FORMAT = "<gsf:template match=\"documentNode\"><td valign=\"top\"><gsf:link type=\"document\"><gsf:icon type=\"document\"/></gsf:link></td><td valign=\"top\"><gsf:link type=\"source\"><gsf:choose-metadata><gsf:metadata name=\"thumbicon\"/><gsf:metadata name=\"srcicon\"/></gsf:choose-metadata></gsf:link></td><td valign=\"top\"><gsf:choose-metadata><gsf:metadata name=\"dc.Title\"/><gsf:metadata name=\"exp.Title\"/><gsf:metadata name=\"Title\"/><gsf:default>Untitled</gsf:default></gsf:choose-metadata><gsf:switch><gsf:metadata name=\"Source\"/><gsf:when test=\"exists\"><br/><i>(<gsf:metadata name=\"Source\"/>)</i></gsf:when></gsf:switch></td></gsf:template><gsf:template match=\"classifierNode\"><td valign=\"top\"><gsf:link type=\"classifier\"><gsf:icon type=\"classifier\"/></gsf:link></td><td valign=\"top\"><gsf:link type=\"source\"><gsf:choose-metadata><gsf:metadata name=\"thumbicon\"/><gsf:metadata name=\"srcicon\"/></gsf:choose-metadata></gsf:link></td><td valign=\"top\"><gsf:choose-metadata><gsf:metadata name=\"dc.Title\"/><gsf:metadata name=\"exp.Title\"/><gsf:metadata name=\"Title\"/><gsf:default>Untitled</gsf:default></gsf:choose-metadata><gsf:switch><gsf:metadata name=\"Source\"/><gsf:when test=\"exists\"><br/><i>(<gsf:metadata name=\"Source\"/>)</i></gsf:when></gsf:switch></td></gsf:template><gsf:template match=\"classifierNode\" mode=\"horizontal\"><gsf:link type=\"horizontal\"><gsf:metadata name=\"Title\"/></gsf:link></gsf:template>";
+
+	//The default browse format
+	static final private String CLASSIFIER_DEFAULT_FORMAT;
+	static
+	{
+		// @formatter:off
+		String CLASSIFIER_DEFAULT_FORMAT_TEMP = "" +
+		"<gsf:template match=\"documentNode\">" + 
+			"<td valign=\"top\">" + 
+				"<gsf:link type=\"document\">" +
+					"<gsf:icon type=\"document\"/>" +
+				"</gsf:link>" +
+			"</td>" +
+			"<td valign=\"top\">" +
+				"<gsf:link type=\"source\">" +
+					"<gsf:choose-metadata>" +
+						"<gsf:metadata name=\"thumbicon\"/>" +
+						"<gsf:metadata name=\"srcicon\"/>" +
+					"</gsf:choose-metadata>" +
+				"</gsf:link>" +
+			"</td>" +
+			"<td valign=\"top\">" +
+				"<gsf:link type=\"document\">" +
+					"<gsf:choose-metadata>" +
+						"<gsf:metadata name=\"dc.Title\"/>" +
+						"<gsf:metadata name=\"exp.Title\"/>" +
+						"<gsf:metadata name=\"ex.dc.Title\"/>" +
+						"<gsf:metadata name=\"Title\"/>" +
+						"<gsf:default>Untitled</gsf:default>" +
+					"</gsf:choose-metadata>" +
+				"</gsf:link>" +
+				"<gsf:switch>" +
+					"<gsf:metadata name=\"Source\"/>" +
+					"<gsf:when test=\"exists\"><br/><i>(<gsf:metadata name=\"Source\"/>)</i></gsf:when>" +
+				"</gsf:switch>" +
+			"</td>" +
+		"</gsf:template>" +
+		"<gsf:template match=\"classifierNode[@classifierStyle = 'VList']\">" +
+			"<td valign=\"top\">" +
+				"<gsf:link type=\"classifier\">" +
+					"<gsf:icon type=\"classifier\"/>" +
+				"</gsf:link>" +
+			"</td>" +
+			"<td valign=\"top\">" +
+				"<gsf:link type=\"source\">" +
+					"<gsf:choose-metadata>" +
+						"<gsf:metadata name=\"thumbicon\"/>" +
+						"<gsf:metadata name=\"srcicon\"/>" +
+					"</gsf:choose-metadata>" +
+				"</gsf:link>" +
+			"</td>" +
+			"<td valign=\"top\">" +
+				"<gsf:choose-metadata>" +
+					"<gsf:metadata name=\"dc.Title\"/>" +
+					"<gsf:metadata name=\"exp.Title\"/>" +
+					"<gsf:metadata name=\"ex.dc.Title\"/>" +
+					"<gsf:metadata name=\"Title\"/>" +
+					"<gsf:default>Untitled</gsf:default>" +
+				"</gsf:choose-metadata>" +
+				"<gsf:switch>" +
+					"<gsf:metadata name=\"Source\"/>" +
+					"<gsf:when test=\"exists\"><br/><i>(<gsf:metadata name=\"Source\"/>)</i></gsf:when>" +
+				"</gsf:switch>" +
+			"</td>" +
+		"</gsf:template>" +
+		"<gsf:template match=\"classifierNode[@classifierStyle = 'HList']\">" +
+			"<gsf:link type=\"classifier\">" +
+				"<gsf:metadata name=\"Title\"/>" +
+			"</gsf:link>" +
+		"</gsf:template>";
+		CLASSIFIER_DEFAULT_FORMAT = CLASSIFIER_DEFAULT_FORMAT_TEMP;
+		// @formatter:on
+	}
 	static final private String CLASSIFIER_DEFAULT = "browse";
 	static final private String SEARCHTYPE_FORMAT = "plain,simpleform,advancedform";